Page MenuHomePhabricator

Update SingleValueChecker and SingleBestValueChecker for separator parameter
Closed, ResolvedPublic

Description

Make them get the separator parameter from the ConstraintParameterParser (see T193633) and feed it into the refactored form of Context::getSnakGroup in some fashion (see T193634).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2018, 2:17 PM

Change 431597 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use separators in single, single best, multi value constraints

https://gerrit.wikimedia.org/r/431597

Change 431597 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Use separators in single, single best, multi value constraints

https://gerrit.wikimedia.org/r/431597

Vvjjkkii renamed this task from Update SingleValueChecker and SingleBestValueChecker for separator parameter to ksdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ksdaaaaaaa to Update SingleValueChecker and SingleBestValueChecker for separator parameter.Jul 1 2018, 8:54 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:59 AM